Skip to main content
POST
/
v1
/
property
/
create-comparable
cURL
curl --request POST \
  --url https://revive-api-v2-production.herokuapp.com/v1/property/create-comparable \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "streetAddress": "<string>",
  "state": "<string>",
  "closeDate": "<string>",
  "grade": "<string>",
  "beds": 123,
  "status": "active",
  "reportId": "<string>",
  "year": 123,
  "id": "<string>",
  "imageUrl": "<string>"
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
streetAddress
string
required
state
string
required
closeDate
string
required
grade
string
required
beds
number
required
status
enum<string>
required
Available options:
active,
pending,
sold
reportId
string
year
number
id
string
imageUrl
string

Response

200

Success